## org.jvnet.maven.plugin.antrun.components
Class AntTargetConverter

    java.lang.Object
      org.codehaus.plexus.component.configurator.converters.AbstractConfigurationConverter
          org.jvnet.maven.plugin.antrun.components.AntTargetConverter

All Implemented Interfaces:
  org.codehaus.plexus.component.configurator.converters.ConfigurationConverter

    public class AntTargetConverter

extends org.codehaus.plexus.component.configurator.converters.AbstractConfigurationConverter

Plexus ConfigurationConverter to set up Ant Target component fields.

Version:
  $Id: AntTargetConverter.java 511210 2007-02-24 04:52:20Z brett $
Author:
  Kenney Westerhof, Vincent Siveton

Field Summary
`static java.lang.String` `MAVEN_EXPRESSION_EVALUATOR_ID`
`static java.lang.String` `ROLE`

Constructor Summary
`AntTargetConverter()`

Method Summary
`boolean` `canConvert(java.lang.Class type)`

`java.lang.Object`

`fromConfiguration(org.codehaus.plexus.component.configurator.converters.lookup.ConverterLookup converterLookup, org.codehaus.plexus.configuration.PlexusConfiguration configuration, java.lang.Class type, java.lang.Class baseType, java.lang.ClassLoader classLoader, org.codehaus.plexus.component.configurator.expression.ExpressionEvaluator expressionEvaluator, org.codehaus.plexus.component.configurator.ConfigurationListener listener)`

`protected void` `initDefinitions(org.apache.tools.ant.Project project, org.apache.tools.ant.Target unused)`

Methods inherited from class org.codehaus.plexus.component.configurator.converters.AbstractConfigurationConverter
`fromConfiguration, fromExpression, fromExpression, fromXML, getClassForImplementationHint, instantiateObject, instantiateObject, loadClass, toXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MAVEN_EXPRESSION_EVALUATOR_ID

    public static final java.lang.String MAVEN_EXPRESSION_EVALUATOR_ID

See Also:
  Constant Field Values

### ROLE

    public static final java.lang.String ROLE

Constructor Detail

### AntTargetConverter

    public AntTargetConverter()

Method Detail

### canConvert

    public boolean canConvert(java.lang.Class type)

  See Also:
    `ConfigurationConverter.canConvert(java.lang.Class)`

### fromConfiguration

    public java.lang.Object fromConfiguration(org.codehaus.plexus.component.configurator.converters.lookup.ConverterLookup converterLookup,
                                              org.codehaus.plexus.configuration.PlexusConfiguration configuration,
                                              java.lang.Class type,
                                              java.lang.Class baseType,
                                              java.lang.ClassLoader classLoader,
                                              org.codehaus.plexus.component.configurator.expression.ExpressionEvaluator expressionEvaluator,
                                              org.codehaus.plexus.component.configurator.ConfigurationListener listener)
                                       throws org.codehaus.plexus.component.configurator.ComponentConfigurationException

  Throws:
    `org.codehaus.plexus.component.configurator.ComponentConfigurationException`
  See Also:
    `ConfigurationConverter.fromConfiguration(org.codehaus.plexus.component.configurator.converters.lookup.ConverterLookup, org.codehaus.plexus.configuration.PlexusConfiguration, java.lang.Class, java.lang.Class, java.lang.ClassLoader, org.codehaus.plexus.component.configurator.expression.ExpressionEvaluator, org.codehaus.plexus.component.configurator.ConfigurationListener)`

### initDefinitions

    protected void initDefinitions(org.apache.tools.ant.Project project,
                                   org.apache.tools.ant.Target unused)

Copyright © 2011. All Rights Reserved.